<p><?php _e('Thank you for installing our plugin.', $this->textname); ?></p>

<?php
$steps = array();

if (!class_exists('ReduxFramework')) {
	$install_plugin_url = VG_Admin_To_Frontend_Obj()->get_plugin_install_url('reduxframework');

	$steps['required_plugin_reduxframework'] = '<p>' . sprintf(__('Please install the free plugin <b>"ReduxFramework"</b>. It´s required for the settings page. <a href="%s" target="_blank" class="button install-plugin-trigger">Click here</a>', $this->textname), esc_url($install_plugin_url)) . '</p>';
}
$steps['open_settings_page'] = '<p>' . sprintf(__('Check the plugin settings. <a href="%s" target="_blank" class="button">Open settings page</a>', $this->textname), esc_url(admin_url('admin.php?page=' . VG_Admin_To_Frontend::$textname))) . '</p>';


$steps['create_page'] = '<p>' . sprintf(__('Go to the admin page that you want to display on the frontend, and click on the "View on the frontend" option in the top toolbar: <img src="%s"/>', $this->textname), esc_url(plugins_url('/assets/toolbar-item-screenshot.png', dirname(__FILE__)))) . '</p>';

if (empty(VG_Admin_To_Frontend_Obj()->allowed_urls)) {
	$allowed_urls_message = '<p>' . __('You can view any admin URL in the frontend. For example, the settings page, the widgets page, the WooCommerce settings page, the WooCommerce Sales Stats page, etc.', $this->textname) . '</p>';
} else {
	$allowed_urls_message = '<p>' . sprintf(__('You are using the Free plugin. You can view these pages in the frontend: blog posts, blog categories, and blog tags.', $this->textname) ) . '</p>';
	
	$allowed_urls_message .= sprintf(__('<h3>Go Premium</h3><p>View ANY admin page in the frontend<br/>View settings pages from the frontend<br/>View WooCommerce settings on the frontend<br/>View WooCommerce stats from the frontend<br/>Install plugins from the frontend<br/>View plugin settings from the frontend<br/>View any page from wp-admin on the frontend<br/>And more.</p><a href="%s" class="button button-primary">Buy Premium Plugin</a> - <a href="%s" class="button" target="_blank">See examples and tutorials</a></p><p><b>Money back guarantee.</b> Try the plugin without worries.</p><p>Check this video of the premium features.</p><iframe width="560" height="315" src="https://www.youtube.com/embed/EG1NE3X5yNs?rel=0&amp;controls=0&amp;showinfo=0" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>.', $this->textname), dapof_fs()->pricing_url(), 'https://wpfrontendadmin.com/' );
}
$steps['allowed_urls'] = $allowed_urls_message; 

$steps['note1'] = '<p>' . __('Note. When you view a "wp admin page" in the frontend, we create a normal page with a shortcode behind the scenes. So you need to edit the page and use a full width template to make it look better. You can also change the page title, you can add more content to the page, etc.', $this->textname) . '</p>';
$steps['note2'] = '<p>' . __('Note. The pages in the frontend are available for logged in users only and require the same user role / permissions required in the wp-admin. If a page in wp-admin requires "administrator" permissions, only "administrators" will be able to view it on the frontend.', $this->textname) . '</p>';

$steps['note3'] = '<p>' . __('Note. You can use this placeholder {{user_id}} in the shortcode URL if you need the current user id, and you can use the forward_parameters="yes" parameter in the shortcode to forward all url parameters into the admin url.', $this->textname) . '</p>';


$steps = apply_filters('vg_admin_to_frontend/welcome_steps', $steps);

if (!empty($steps)) {
	echo '<ol class="steps">';
	foreach ($steps as $key => $step_content) {
		?>
		<li><?php echo $step_content; ?></li>		
		<?php
	}

	echo '</ol>';
}

_e('<h3>Tutorials</h3>', $this->textname);
_e('<ul role="menu" class=" dropdown-menu">
	<li >Allow Post Submissions from the Frontend <a target="_blank" href="https://wpfrontendadmin.com/allow-post-submissions-from-the-frontend/">View tutorial</a></li>
	<li >Change Permalink Settings from the Frontend in WordPress <a target="_blank" href="https://wpfrontendadmin.com/change-permalink-settings-from-the-frontend-in-wordpress/">View tutorial</a></li>
	<li >Change Site Settings from the Frontend in WordPress <a target="_blank" href="https://wpfrontendadmin.com/change-site-settings-from-the-frontend-in-wordpress/">View tutorial</a></li>
	<li >Create and Manage Users from the Frontend <a target="_blank" href="https://wpfrontendadmin.com/create-and-manage-users-from-the-frontend/">View tutorial</a></li>
	<li >Create WooCommerce Coupons from the Frontend <a target="_blank" href="https://wpfrontendadmin.com/create-woocommerce-coupons-from-the-frontend/">View tutorial</a></li>
	<li >Create WooCommerce Products from the Frontend <a target="_blank" href="https://wpfrontendadmin.com/create-woocommerce-products-from-the-frontend/">View tutorial</a></li>
	<li >Install Themes from the Frontend in WordPress <a target="_blank" href="https://wpfrontendadmin.com/install-themes-from-the-frontend-in-wordpress/">View tutorial</a></li>
	<li >Install Updates from the Frontend in WordPress <a target="_blank" href="https://wpfrontendadmin.com/install-updates-from-the-frontend-in-wordpress/">View tutorial</a></li>
	<li >Install WordPress Plugins from the Frontend <a target="_blank" href="https://wpfrontendadmin.com/install-wordpress-plugins-from-the-frontend/">View tutorial</a></li>
	<li >Manage Nav Menus from the Frontend <a target="_blank" href="https://wpfrontendadmin.com/manage-nav-menus-from-the-frontend/">View tutorial</a></li>
	<li >Manage User Comments from the Frontend in WordPress <a target="_blank" href="https://wpfrontendadmin.com/manage-user-comments-from-the-frontend-in-wordpress/">View tutorial</a></li>
	<li >Manage Widgets from the Frontend in WordPress <a target="_blank" href="https://wpfrontendadmin.com/manage-widgets-from-the-frontend-in-wordpress/">View tutorial</a></li>
	<li >Manage WooCommerce Settings from the Frontend <a target="_blank" href="https://wpfrontendadmin.com/manage-woocommerce-settings-from-the-frontend/">View tutorial</a></li>
	<li >Setup a Theme from the Frontend in WordPress <a target="_blank" href="https://wpfrontendadmin.com/setup-a-theme-from-the-frontend-in-wordpress/">View tutorial</a></li>
	<li >View and Dispatch WooCommerce Orders from the Frontend <a target="_blank" href="https://wpfrontendadmin.com/view-and-dispatch-woocommerce-orders-from-the-frontend/">View tutorial</a></li>
	<li >View WooCommerce Sales Reports from the Frontend <a target="_blank" href="https://wpfrontendadmin.com/view-woocommerce-sales-reports-from-the-frontend/">View tutorial</a></li>
</ul>', $this->textname);
?>
<script>

	jQuery('.install-plugin-trigger').click(function (e) {
		return !window.open(this.href, 'Install plugin', 'width=500,height=500');
	});
</script>